Skip to content

Get the archived user list

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.

Get the archived user list, support paging, can filter start time, etc.

Method name

ManagementClient.list_archived_users

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
pagenumberNo1Current page number, starting from 11
limitnumberNo10Number of pages per page, maximum cannot exceed 50, default is 1010
startAtnumberNo-Start time, UNIX timestamp accurate to seconds, unspecified by default1655714763890

Request Response

Type: ListArchivedUsersSingleRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, please see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a ArchivedUsersListPagingDtoData

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "list": {
      "userId": "userId",
      "archivedAt": "2022-07-03T03:20:30.000Z"
    }
  }
}

Data Structure

ArchivedUsersListPagingDto

NameTypeRequiredDescriptionSample value
totalCountnumberYesTotal number of records
listarrayYesResponse data Nested type: <a ListArchivedUsersRespDto.

ListArchivedUsersRespDto

NameTypeRequiredDescriptionSample value
userIdstringyesUser IDuserId
archivedAtstringyesArchived at2022-07-03T03:20:30.000Z

Agent infrastructure for identity, memory, and web action.